MozillaZine

Firefox 57 and later: WebExtensions status of legacy add-ons

Discussion of general topics about Mozilla Firefox
Gingerbread Man

User avatar
 
Posts: 7449
Joined: January 30th, 2007, 10:55 am

Post Posted September 30th, 2017, 3:10 am

If you've had a look at Firefox's Add-ons Manager in recent versions, you've noticed add-ons marked with the "Legacy" label. Starting with Firefox 57, slated for release November 14th 2017, only add-ons built with WebExtensions technology will work. So what can you do?

Some add-ons may be updated automatically, so you don't actually need to do anything. Frankly, you shouldn't count on this. Even in the case of add-ons that will be converted to WebExtensions, some authors chose to release separate WebExtensions versions and leave the legacy versions around for old versions of Firefox. So if you don't specifically go looking for these replacements, you might not know they exist.

A spreadsheet on Google docs (source: /r/firefox) lists the status of a multitude of add-ons. From what I've seen, it's your best bet to find out what will happen with your favorite add-ons.

The Firefox Extension Finder is linked from the Mozilla Support article on this topic. There's barely anything there right now, so it's honestly of little use.

The Firefox Add-ons site inexplicably won't let you search for add-ons compatible with Firefox 57 if you're not already using it. You can select Firefox 56 under "Works with:" on the left, then modify the resulting URL in the location bar so that it says 57 instead. For example, if you were to search for adblock plus, this is what you should see in the location bar:
Code: Select all
https://addons.mozilla.org/firefox/search/?q=adblock+plus&appver=57.0

Note that compatibility is based on the current version of the add-on. So if the add-on only has a beta/test version that's compatible with Firefox 57, it will be missing from the list. This makes the search more useful for finding alternatives than checking on the status of your favorite add-ons.

Complete themes will not be supported. You can use regular themes instead. For the more technically-minded, it'll probably also still be possible to alter the user interface with userChrome.css.

Return to Firefox General


Who is online

Users browsing this forum: Google [Bot] and 3 guests